<?php

namespace EventPortal\Concerns;

trait AddToCasts
{
    /** @var array<string> */
    private static $configurableCasts = [];

    public function getCasts(): array
    {
        return array_merge(parent::getCasts(), self::$configurableCasts);
    }

    public static function addToCasts(array $casts): void
    {
        self::$configurableCasts = array_merge(self::$configurableCasts, $casts);
    }
}
